package com.abi.qms.platform.controller.wx;

import com.abi.qms.platform.dto.req.QueryWxQrBoxMappingDetailsWxReq;
import com.abi.qms.platform.dto.res.QueryWxQrBoxMappingDetailsWxRes;
import com.abi.qms.platform.service.QrBoxMappingService;
import com.abi.task.common.api.base.BaseResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * @author lu
 * @date 2021年06月09日 10:10
 */
@Slf4j
@RestController
@RequestMapping("/wxQrBoxMapping")
@Api(tags = "条码查询")
public class WxQrBoxMappingController {

    @Autowired
    private QrBoxMappingService qrBoxMappingService;

    /**
     * 微信 - 箱码/条码详情
     * @author lu
     * @date 2021/6/9 11:24
     * @param queryWxQrBoxMappingDetailsWxReq 
     * @return com.abi.task.common.api.base.BaseResponse<com.abi.qms.platform.dto.res.QueryWxQrBoxMappingDetailsWxRes>
     */
    @ApiOperation("激活详情")
    @PostMapping("queryWxQrBoxMappingDetails")
    public BaseResponse<QueryWxQrBoxMappingDetailsWxRes> queryWxQrBoxMappingDetails(@Validated @RequestBody QueryWxQrBoxMappingDetailsWxReq queryWxQrBoxMappingDetailsWxReq) {
        QueryWxQrBoxMappingDetailsWxRes res = qrBoxMappingService.queryWxQrBoxMappingDetails(queryWxQrBoxMappingDetailsWxReq);
        return BaseResponse.create(res);
    }

}
